# -*- coding: utf-8 -*-

from q3stats.models import Score


class Test_GameModel(object):
    def test_to_json(self):
        score = Score(
            id=1,
            game_id=1,
            player='Player 1',
            score=10,
            kills=20,
            deaths=30,
            suicides=40,
            net=50,
            damage_taken=123,
            damage_given=456,
            total_health=100,
            total_armor=200,
            weapons={
                'G': {'hits': 1, 'shots': 0, 'kills': 1}
            },
            items={
                'MH': 1
            },
            powerups={
                'Quad': [5, 123456]
            }
        )

        result = score.to_json()

        assert result['id'] == score.id
        assert result['game_id'] == score.game_id
        assert result['player'] == score.player
        assert result['score'] == score.score
        assert result['kills'] == score.kills
        assert result['deaths'] == score.deaths
        assert result['suicides'] == score.suicides
        assert result['net'] == score.net
        assert result['damage_taken'] == score.damage_taken
        assert result['damage_given'] == score.damage_given
        assert result['total_health'] == score.total_health
        assert result['total_armor'] == score.total_armor
        assert result['weapons'] == score.weapons
        assert result['items'] == score.items
        assert result['powerups'] == score.powerups
