# -*- coding: utf-8 -*-

from q3stats.testing import BaseQ3StatsWebAppTestCase


class Test_GetFrontendSessions(BaseQ3StatsWebAppTestCase):
    def test_ok(self):
        with self.app.test_request_context():
            rsp = self.client.get('/sessions/')
            assert rsp.status_code == 302
            assert rsp.headers['Location'].endswith('/#/sessions/')

    def test_ok_with_day(self):
        with self.app.test_request_context():
            rsp = self.client.get('/sessions/2017-02-14')
            assert rsp.status_code == 302
            assert rsp.headers['Location'].endswith('/#/sessions/2017-02-14')
